address.h File Reference

Representation of network addresses. More...

`#include <assert.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include "libcoap.h"`
Include dependency graph for address.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_address_t
| multi-purpose address abstraction More...

## Typedefs

typedef struct coap_address_t | coap_address_t
| multi-purpose address abstraction More...

## Functions

int | coap_address_equals (const coap_address_t *a, const coap_address_t *b)
| Compares given address objects `a` and `b`. More...
COAP_STATIC_INLINE int | _coap_address_isany_impl (const coap_address_t *a)
void | coap_address_init (coap_address_t *addr)
| Resets the given coap_address_t object `addr` to its default values. More...
COAP_STATIC_INLINE void | coap_address_copy (coap_address_t *dst, const coap_address_t *src)
COAP_STATIC_INLINE int | coap_address_isany (const coap_address_t *a)
| Checks if given address object `a` denotes the wildcard address. More...
int | coap_is_mcast (const coap_address_t *a)
| Checks if given address `a` denotes a multicast address. More...

## Detailed Description

Representation of network addresses.

Definition in file address.h.

## Typedef Documentation

## coap_address_t

typedef struct coap_address_t coap_address_t

multi-purpose address abstraction

## Function Documentation

## _coap_address_isany_impl()

COAP_STATIC_INLINE int _coap_address_isany_impl | ( | const coap_address_t * | a | ) |

Definition at line 79 of file address.h.

Here is the caller graph for this function:

## coap_address_copy()

COAP_STATIC_INLINE void coap_address_copy | ( | coap_address_t * | dst,
|  | const coap_address_t * | src
| ) |  |

Definition at line 108 of file address.h.

Here is the caller graph for this function:

## coap_address_equals()

int coap_address_equals | ( | const coap_address_t * | a,
|  | const coap_address_t * | b
| ) |  |

Compares given address objects `a` and `b`.

This function returns `1` if addresses are equal, `0` otherwise. The parameters `a` and `b` must not be `NULL`;

Definition at line 31 of file address.c.

Here is the caller graph for this function:

## coap_address_init()

void coap_address_init | ( | coap_address_t * | addr | ) |

Resets the given coap_address_t object `addr` to its default values.

In particular, the member size must be initialized to the available size for storing addresses.

Parameters

  addr | The coap_address_t object to initialize.

Definition at line 71 of file address.c.

Here is the caller graph for this function:

## coap_address_isany()

COAP_STATIC_INLINE int coap_address_isany | ( | const coap_address_t * | a | ) |

Checks if given address object `a` denotes the wildcard address.

This function returns `1` if this is the case, `0` otherwise. The parameters `a` must not be `NULL`;

Definition at line 146 of file address.h.

Here is the call graph for this function:
Here is the caller graph for this function:

## coap_is_mcast()

int coap_is_mcast | ( | const coap_address_t * | a | ) |

Checks if given address `a` denotes a multicast address.

This function returns `1` if `a` is multicast, `0` otherwise.

Definition at line 54 of file address.c.

Here is the caller graph for this function: